Subject: [PATCH 2/2] fixup! arm64: kvm: allows kvm cpu hotplug

From: [email-masked] (James Morse)
Date: Tue, 20 Oct 2015 17:22:04 +0100

On 20/10/15 08:58, AKASHI Takahiro wrote:
> Without this patch, kvm cannot start a guest when cpuidle is enabled
> if the hardware does not retain cpu state (EL2) in idle state.
> 
> This patch re-initailizes EL2 state at CPU_PM_EXIT by calling
> kvm_arch_hardware_enable() if and only if kvm has been initialized
> before CPU_PM_ENTER, that is, if any vcpus have been created.
> 
> Signed-off-by: AKASHI Takahiro <[email-masked]>

This solves my issue with the v5 version here [0].
Tested-By: James Morse <[email-masked]>

Thanks!

James

[0] https://lists.linaro.org/pipermail/linaro-kernel/2015-May/021575.html